CRM
Upsert CRM object access grant
PUT
/
v1
/
crm
/
object-types
/
{objectKind}
/
access
Upsert CRM object access grant
curl --request PUT \
--url https://api.wazapin.com/v1/crm/object-types/{objectKind}/access \
--header 'Content-Type: application/json' \
--data '
{
"access_level": "<string>",
"principal_type": "<string>",
"principal_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({access_level: '<string>', principal_type: '<string>', principal_id: '<string>'})
};
fetch('https://api.wazapin.com/v1/crm/object-types/{objectKind}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/object-types/{objectKind}/access"
payload = {
"access_level": "<string>",
"principal_type": "<string>",
"principal_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"access_level": "<string>",
"created_at": "<string>",
"id": "<string>",
"object_kind": "<string>",
"principal_id": "<string>",
"principal_type": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}Path Parameters
⌘I
Upsert CRM object access grant
curl --request PUT \
--url https://api.wazapin.com/v1/crm/object-types/{objectKind}/access \
--header 'Content-Type: application/json' \
--data '
{
"access_level": "<string>",
"principal_type": "<string>",
"principal_id": "<string>"
}
'const options = {
method: 'PUT',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({access_level: '<string>', principal_type: '<string>', principal_id: '<string>'})
};
fetch('https://api.wazapin.com/v1/crm/object-types/{objectKind}/access', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.wazapin.com/v1/crm/object-types/{objectKind}/access"
payload = {
"access_level": "<string>",
"principal_type": "<string>",
"principal_id": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.put(url, json=payload, headers=headers)
print(response.text){
"access_level": "<string>",
"created_at": "<string>",
"id": "<string>",
"object_kind": "<string>",
"principal_id": "<string>",
"principal_type": "<string>",
"updated_at": "<string>"
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}{
"error": {
"code": "<string>",
"message": "<string>",
"details": [
{
"message": "<string>",
"code": "<string>",
"field": "<string>",
"location": "<string>"
}
],
"request_id": "<string>"
}
}